Description

Quelques remarques suite a mes premiers essais d'intégration des nouvelles fonctions de calcul dans la R3:

Les déclarations suivantes doivent étre dans le .h, pas dans le .c

void init_k_coefficients_fO( float *k_coeff_intercalib, unsigned char nb_binscompressed_matrix );
void init_k_coefficients_f1( float *k_coeff_intercalib, unsigned char nb_binscompressed_matrix );
void init_k_coefficients_f2( float *k_coeff_intercalib, unsigned char nb_binscompressed_matrix );

Dans ton switch/case, il faut utiliser des constantes non numériques définies en utilisant des #define, c'est une régle qui est vérifiée
par l'outil de vérification statique utilisé par William Recart.

History

#1 - 22/06/2015 02:57 PM - paul leroy

Eviter au maximum de laisser des printf dans les codes définitif. Possibilité d'utiliser des macros:
#ifdef PRINT_TCH

#define PRINTF x_mark.png printf(x);

#define PRINTF1 printf(x,y);

#define PRINTF2 printf(x,y,z);

#else

#define PRINTF x_mark.png ;

#define PRINTF1 ;

#define PRINTF2 ;

#endif

Si la constante PRINT_TCH n'est pas définie, aucun message n'apparait.

Autre point important: finir les messages par "\n"

#2 - 22/06/2015 03:41 PM - thomas chust

- Assignee changed from thomas chust to paul leroy

a priori ces remarques ont été pris en compte dans la version 2.1:

[[https://hephaistos.lpp.polytechnique.fr/rhodecode/HG_REPOSITORIES/LPP/INSTRUMENTATION/USERS/CHUST/LFR_basic-parameters ]]

#3 - 23/06/2015 07:51 AM - paul leroy

- Status changed from New to Feedback

- Assignee changed from paul leroy to thomas chust

Il faudrait inclure basic_parameters.h dans basic_parameters.c sinon ¢a fait des warning a la compilation.
#include <basic_parameters.h>

#4 - 23/06/2015 10:48 AM - thomas chust

- Assignee changed from thomas chust to paul leroy

J'ai fait un nouveau push => version 2.2

En fait, me semble t-il, pas besoin. Dans basic_parameters.c il fallait simplement définir la fonction init_k_coefficients apres les fonctions
init_k_coefficients_f0, _f1 et _f2 ... Du coup cela permet aussi de supprimer les déclarations
https://hephaistos.lpp.polytechnique.fr/rhodecode/HG_REPOSITORIES/LPP/INSTRUMENTATION/USERS/CHUST/LFR_basic-parameters

void init_k_coefficients_f0O( float *k_coeff_intercalib, unsigned char nb_binscompressed_matrix );
void init_k_coefficients_f1( float *k_coeff_intercalib, unsigned char nb_binscompressed_matrix );
void init_k_coefficients_f2( float *k_coeff_intercalib, unsigned char nb_binscompressed_matrix );
dans le .h

D'accord ?

#5 - 23/06/2015 11:14 AM - paul leroy

- Assignee changed from paul leroy to thomas chust

Ca marche si la fonction n'est pas destinée a étre utilisée ailleurs que dans ton module basic_parameters.c.

Je ne sais pas si le vérificateur statique va tiquer en voyant une fonction non déclarée dans un .h. Dans le doute, je préférerais que les déclaration
soit dans basic_parameters.h et la description dans basic_parameters.c.

#6 - 23/06/2015 06:06 PM - thomas chust
Entendu: push fait ...

#7 - 23/06/2015 06:08 PM - thomas chust

- Assignee changed from thomas chust to paul leroy

#8 - 02/07/2015 03:08 PM - paul leroy
- Status changed from Feedback to Closed
